Bug 270241 - NullPointerException at javax.swing.text.JTextComponent.getCaretPosition
NullPointerException at javax.swing.text.JTextComponent.getCaretPosition
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
8.2
All All
: P2 (vote)
: 8.2
Assigned To: Maria Tishkova
issues@cnd
EXCEPTIONS_REPORT,82patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-29 10:04 UTC by soldatov
Modified: 2017-04-19 08:39 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (6.95 KB, text/plain)
2017-03-29 10:04 UTC, soldatov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2017-03-29 10:04:25 UTC
Build: NetBeans IDE 8.2 (Build 201609230201)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.121-b13, Java(TM) SE Runtime Environment, 1.8.0_121-b13
OS: SunOS

User Comments:
soldatov: Stable exception in NetBeans 8.2
If current file is 'testList.fail.00000' I see exception instead of "New Breakpoint" window




Stacktrace: 
java.lang.NullPointerException
   at javax.swing.text.JTextComponent.getCaretPosition(JTextComponent.java:1644)
   at javax.swing.text.JTextComponent$AccessibleJTextComponent.getCaretPosition(JTextComponent.java:2812)
   at javax.swing.text.JTextComponent$AccessibleJTextComponent.<init>(JTextComponent.java:2513)
   at javax.swing.JEditorPane$AccessibleJEditorPane.<init>(JEditorPane.java:1644)
   at javax.swing.JEditorPane.getAccessibleContext(JEditorPane.java:1624)
   at org.netbeans.modules.cnd.debugger.common2.debugger.breakpoints.BreakpointPanel.initA11y(BreakpointPanel.java:938)
Comment 1 soldatov 2017-03-29 10:04:26 UTC
Created attachment 163970 [details]
stacktrace
Comment 2 soldatov 2017-03-29 10:14:15 UTC
I see this exception in Oracle Developer Studio too

Scenario:
- Create C/C++ Project
- Create testList.fail.00000 file
- Set cursor in any line in file
- Push Debug|New Breakpoint menu item
==> NullPointerException
Comment 3 Maria Tishkova 2017-03-29 12:32:28 UTC
fixed in enum/release82

changeset:   314926:49c3c92ff011
branch:      release82
tag:         tip
user:        Maria Dalmatova <mromashova@netbeans.org>
date:        Wed Mar 29 15:31:27 2017 +0300
summary:     fixed bz#270241 - NullPointerException at javax.swing.text.JTextComponent.getCaretPosition
Comment 4 Quality Engineering 2017-04-02 02:37:48 UTC
Integrated into 'main-silver', will be available in build *201704020002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/01fb4b857059
User: Maria Dalmatova <mromashova@netbeans.org>
Log: fixed bz#270241 - NullPointerException at javax.swing.text.JTextComponent.getCaretPosition
(transplanted from 49c3c92ff01187cc64e009d749e8ad9cd23feca6)
Comment 5 ilia 2017-04-13 10:49:44 UTC
https://netbeans.org/bugzilla/show_bug.cgi?id=270241 Changesets:
    http://hg.netbeans.org/releases/rev/49c3c92ff011 # fixed bz#270241 - NullPointerException at javax.swing.text.JTextComponent.getCaretPosition
Comment 6 soldatov 2017-04-19 08:39:09 UTC
Verified in NetBeans IDE 8.2 (Build 201704181436)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo